#ifndef _PVR_SETUP_H_
#define _PVR_SETUP_H_

typedef enum
{
	aspect1by1,
	aspect4by3,
	aspect16by9,
	acpect221by100
} eAspectRate;

typedef enum
{
	bitrateVBR,
	bitrateCBR
} eBitrateMode;

typedef enum
{
	dnrSpatialTemporal,
	dnrTemporal,
	dnrSpatial,
	dnrNone
} eDnrMode;

class cPvrSetup
{
public:
	int HideMainMenuEntry;
	int WaitAfterTuning;
	int LogLevel;
	int Brightness;
	int Contrast;
	int Saturation;
	int Hue;
	int AudioVolume;
	int VideoBitrate;
	int AudioBitrate;
	int BitrateMode;
	int AspectRatio;
	int Pulldown;
	int FramesPerGop;
	int BFrames;
	int GopClosure;
	int DnrMode;
	int DnrSpatial;
	int DnrTemporal;
	int DnrType;
public:
	cPvrSetup(void);
};

extern cPvrSetup PvrSetup;

#endif
